BPJS Kesehatan

Inquiry

API to inquiry BPJS Kesehatan.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
BPJS8801234560000Success
BPJS8801234560001Inquiry - Invoice Has Been Paid
BPJS8801234560014Inquiry - Incorrect Destination Number
BPJS8801234560103Inquiry - Time Out
BPJS8801234561037Payment - Payment Failed
BPJS8801234561039Payment - Pending / transaction in process
BPJS8801234561105Payment - MISC Error / Biller System Error
BPJS880123456XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringBPJS participant numberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
monthIntegerNumber of month you're willing to payYes
{
  "commands" : "inq-pasca",
  "username" : "123123123",
  "code"     : "BPJS",
  "hp"       : "8801234560000",
  "ref_id"   : "09128374651",
  "sign"     : "6515c5094421834a85ed9ac7a0fe443b",
  "month"    : "2"
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail